namespace View_by_Distance.Shared.Models.Stateless.Methods;

internal abstract class Item
{

    internal static (List<Models.Item>, int) GetMerged(List<Models.Item> itemsA, List<Models.Item> itemsB)
    {
        int result = 0;
        List<Models.Item> results = new();
        List<string> collection = new();
        foreach (Models.Item item in itemsA)
        {
            if (item.ImageFileHolder is null)
                continue;
            results.Add(item);
            collection.Add(item.ImageFileHolder.FullName);
        }
        foreach (Models.Item item in itemsB)
        {
            if (item.ImageFileHolder is null)
                continue;
            if (collection.Contains(item.ImageFileHolder.FullName))
                continue;
            result++;
            results.Add(item);
        }
        return new(results, result);
    }

}